Debian Bug report logs - #639051
libpodofo: FTBFS: please build-depend on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:libpodofo; Maintainer for src:libpodofo is Oleksandr Moskalenko <malex@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 23 Aug 2011 21:06:38 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 647209

Found in version libpodofo/0.9.0-1

Fixed in version libpodofo/0.9.0-1.1

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#639051; Package src:libpodofo. (Tue, 23 Aug 2011 21:06:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Tue, 23 Aug 2011 21:06:56 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libpodofo: FTBFS: please build-depend on libjpeg-dev, not libjpeg62-dev
Date: Tue, 23 Aug 2011 22:39:25 +0200
Source: libpodofo
Version: 0.9.0-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110822 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Please build-depend on libjpeg-dev, not libjpeg62-dev.

Relevant part:
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install libpodofo build dependencies (apt-based resolver)                    │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> 
> The following packages have unmet dependencies:
>  sbuild-build-depends-libpodofo-dummy : Depends: libtiff4-dev but it is not going to be installed
> E: Broken packages

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/08/22/libpodofo_0.9.0-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Merged 639051 647209. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 23:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#639051; Package src:libpodofo. (Wed, 09 Nov 2011 15:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Wed, 09 Nov 2011 15:27:11 GMT) Full text and rfc822 format available.

Message #12 received at 639051@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 639051@bugs.debian.org
Subject: libpodofo: diff for NMU version 0.9.0-1.1
Date: Wed, 09 Nov 2011 16:24:23 +0100
tags 639051 + patch
tags 639051 + pending
thanks

Dear maintainer,

I've prepared an NMU for libpodofo (versioned as 0.9.0-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
diff -Nru libpodofo-0.9.0/debian/changelog libpodofo-0.9.0/debian/changelog
--- libpodofo-0.9.0/debian/changelog	2011-03-23 18:10:55.000000000 +0100
+++ libpodofo-0.9.0/debian/changelog	2011-11-09 16:02:28.000000000 +0100
@@ -1,3 +1,18 @@
+libpodofo (0.9.0-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+
+  [ Didier Raboud ]
+  * Build-Depends against libjpeg-dev, not libjpeg62-dev (Closes: #639051).
+  * Import Ubuntu patch to fix build against the multiarch'ed libfreetype.
+
+  [ Ubuntu: Philip Muskovac & Daniel T Chen ]
+  * debian/rules: export DEB_HOST_MULTIARCH for the freetype patch.
+  * debian/patches/freetype_multiarch: Add multiarch directory to cmake search
+    path for freetype (LP: #778410, #831277).
+
+ -- Didier Raboud <odyx@debian.org>  Wed, 09 Nov 2011 16:02:17 +0100
+
 libpodofo (0.9.0-1) unstable; urgency=low
 
   * New upstream release. The packaging is based on 0.8.4 that has been
diff -Nru libpodofo-0.9.0/debian/control libpodofo-0.9.0/debian/control
--- libpodofo-0.9.0/debian/control	2011-03-22 21:47:17.000000000 +0100
+++ libpodofo-0.9.0/debian/control	2011-11-09 15:35:34.000000000 +0100
@@ -1,7 +1,7 @@
 Source: libpodofo
 Priority: extra
 Maintainer: Oleksandr Moskalenko <malex@debian.org>
-Build-Depends: debhelper (>= 7), cmake, zlib1g-dev, libtiff4-dev, libjpeg62-dev, libfreetype6-dev, libfontconfig1-dev, quilt
+Build-Depends: debhelper (>= 7), cmake, zlib1g-dev, libtiff4-dev, libjpeg-dev, libfreetype6-dev, libfontconfig1-dev, quilt
 #, libboost-graph1.46-dev
 Standards-Version: 3.9.1
 Section: libdevel
diff -Nru libpodofo-0.9.0/debian/patches/build_again libpodofo-0.9.0/debian/patches/build_again
--- libpodofo-0.9.0/debian/patches/build_again	1970-01-01 01:00:00.000000000 +0100
+++ libpodofo-0.9.0/debian/patches/build_again	2011-11-09 15:38:49.000000000 +0100
@@ -0,0 +1,11 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -351,7 +351,7 @@
+ 
+ FIND_PACKAGE(OpenSSL)
+ 
+-FIND_PACKAGE(FREETYPE REQUIRED)
++FIND_PACKAGE(Freetype REQUIRED)
+ MESSAGE("Found freetype library at ${FREETYPE_LIBRARIES}, headers ${FREETYPE_INCLUDE_DIR}")
+ 
+ FIND_PACKAGE(LIBSTLPORT)
diff -Nru libpodofo-0.9.0/debian/patches/freetype_multiarch libpodofo-0.9.0/debian/patches/freetype_multiarch
--- libpodofo-0.9.0/debian/patches/freetype_multiarch	1970-01-01 01:00:00.000000000 +0100
+++ libpodofo-0.9.0/debian/patches/freetype_multiarch	2011-11-09 15:48:51.000000000 +0100
@@ -0,0 +1,22 @@
+Description: add multiarch directory to cmake search path for freetype
+ This resolves the cmake error caused by freetype being installed in the new
+ multiarch directory.
+Bug-Ubuntu: http://launchpad.net/bugs/778410
+Bug-Ubuntu: http://launchpad.net/bugs/831277
+Author: Philip Muskovac <yofel@kubuntu.org>
+Reviewed-by: Daniel T Chen <crimsun@ubuntu.com>
+Last-Updated: 2011-09-22
+
+Index: libpodofo-0.9.0/cmake/modules/FindFREETYPE.cmake
+===================================================================
+--- libpodofo-0.9.0.orig/cmake/modules/FindFREETYPE.cmake	2007-11-07 12:45:20.000000000 -0500
++++ libpodofo-0.9.0/cmake/modules/FindFREETYPE.cmake	2011-09-22 14:24:58.000000000 -0400
+@@ -41,7 +41,7 @@
+ SET(FREETYPE_LIBRARY_NAMES_DEBUG ${FREETYPE_LIBRARY_NAMES_DEBUG} freetyped libfreetyped)
+ SET(FREETYPE_LIBRARY_NAMES_RELEASE ${FREETYPE_LIBRARY_NAMES_RELEASE} freetype libfreetype)
+ 
+-SET(FREETYPE_LIB_PATHS /usr/lib /usr/local/lib)
++SET(FREETYPE_LIB_PATHS /usr/lib /usr/local/lib /usr/lib/$ENV{DEB_HOST_MULTIARCH})
+ 
+ FIND_LIBRARY(FREETYPE_LIBRARY_RELEASE
+   ${FREETYPE_LIBRARY_NAMES_RELEASE}
diff -Nru libpodofo-0.9.0/debian/patches/series libpodofo-0.9.0/debian/patches/series
--- libpodofo-0.9.0/debian/patches/series	2011-03-23 00:38:35.000000000 +0100
+++ libpodofo-0.9.0/debian/patches/series	2011-11-09 15:53:21.000000000 +0100
@@ -1,2 +1,3 @@
 FindZLIB.cmake
 CMakeLists.txt.top
+freetype_multiarch
diff -Nru libpodofo-0.9.0/debian/rules libpodofo-0.9.0/debian/rules
--- libpodofo-0.9.0/debian/rules	2011-03-23 18:09:26.000000000 +0100
+++ libpodofo-0.9.0/debian/rules	2011-11-09 16:00:52.000000000 +0100
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 # shared library versions, option 1
 version=0.9.0
 major=0




Added tag(s) patch. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 09 Nov 2011 15:27:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 09 Nov 2011 15:27:20 GMT) Full text and rfc822 format available.

Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Fri, 11 Nov 2011 15:54:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 11 Nov 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #21 received at 639051-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 639051-close@bugs.debian.org
Subject: Bug#639051: fixed in libpodofo 0.9.0-1.1
Date: Fri, 11 Nov 2011 15:50:01 +0000
Source: libpodofo
Source-Version: 0.9.0-1.1

We believe that the bug you reported is fixed in the latest version of
libpodofo, which is due to be installed in the Debian FTP archive:

libpodofo-dev_0.9.0-1.1_amd64.deb
  to main/libp/libpodofo/libpodofo-dev_0.9.0-1.1_amd64.deb
libpodofo-utils_0.9.0-1.1_amd64.deb
  to main/libp/libpodofo/libpodofo-utils_0.9.0-1.1_amd64.deb
libpodofo0.9.0_0.9.0-1.1_amd64.deb
  to main/libp/libpodofo/libpodofo0.9.0_0.9.0-1.1_amd64.deb
libpodofo_0.9.0-1.1.debian.tar.gz
  to main/libp/libpodofo/libpodofo_0.9.0-1.1.debian.tar.gz
libpodofo_0.9.0-1.1.dsc
  to main/libp/libpodofo/libpodofo_0.9.0-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated libpodofo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 09 Nov 2011 16:02:17 +0100
Source: libpodofo
Binary: libpodofo-dev libpodofo-utils libpodofo0.9.0
Architecture: source amd64
Version: 0.9.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 libpodofo-dev - PoDoFo development files
 libpodofo-utils - PoDoFo utilities
 libpodofo0.9.0 - PoDoFo - library to work with the PDF file format
Closes: 639051
Changes: 
 libpodofo (0.9.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Didier Raboud ]
   * Build-Depends against libjpeg-dev, not libjpeg62-dev (Closes: #639051).
   * Import Ubuntu patch to fix build against the multiarch'ed libfreetype.
 .
   [ Ubuntu: Philip Muskovac & Daniel T Chen ]
   * debian/rules: export DEB_HOST_MULTIARCH for the freetype patch.
   * debian/patches/freetype_multiarch: Add multiarch directory to cmake search
     path for freetype (LP: #778410, #831277).
Checksums-Sha1: 
 17040e32968b2e53be405b1518432c967976482b 1758 libpodofo_0.9.0-1.1.dsc
 87b3a3400e223525667897396c8caab18371c361 10311 libpodofo_0.9.0-1.1.debian.tar.gz
 f33b59e395dfd51415e70029950ab8367338856c 199184 libpodofo-dev_0.9.0-1.1_amd64.deb
 f7b6b7ea5872971444a8fd9779d934d976d3539d 321252 libpodofo-utils_0.9.0-1.1_amd64.deb
 9831f1a5724ed6650c8f3f1d5612c9e7b06b4c92 623966 libpodofo0.9.0_0.9.0-1.1_amd64.deb
Checksums-Sha256: 
 004595828de661831f75bf0c3a44903ab54d4f76c015ff0105711c87f1018a35 1758 libpodofo_0.9.0-1.1.dsc
 d94aada4b146f9b14071814afd97e25298cf486acc12768480dcc1e972b9d510 10311 libpodofo_0.9.0-1.1.debian.tar.gz
 cd42ce821537a3edb40d70ef991a75deac36bea13eb017722cbd3ee7f7a632c6 199184 libpodofo-dev_0.9.0-1.1_amd64.deb
 0ca854bb35b510a614362c60d2b8602bcb0a0f116b8038e996e5c2757847cfeb 321252 libpodofo-utils_0.9.0-1.1_amd64.deb
 6fe74c5d50df033ad4ee3cbe7dece6283603fe808ce797a6d688826479680fb3 623966 libpodofo0.9.0_0.9.0-1.1_amd64.deb
Files: 
 afbcdac52e1b53f323ff411e0060e8ec 1758 libdevel extra libpodofo_0.9.0-1.1.dsc
 db20c0171dcef80814cf1df301a8dc80 10311 libdevel extra libpodofo_0.9.0-1.1.debian.tar.gz
 76fdf808ebd11578f98d2a9f9a1acd0d 199184 libdevel extra libpodofo-dev_0.9.0-1.1_amd64.deb
 873a2d8dc86e5b41780bd329ceec628c 321252 libdevel extra libpodofo-utils_0.9.0-1.1_amd64.deb
 9c2e62da3655ee8e8702049be7517c11 623966 libs extra libpodofo0.9.0_0.9.0-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOuprKAAoJEIvPpx7KFjRV++wMAJRhzKRPoWW5WfQsVm2DtcpU
20p+tDvjnokEcgY7eHNxtWUzHJ+Du90qsLQ3rYNstXY3tjca69zu89LjiZu/Q8lO
nN9TQyCoPXg7iH1nbS1eKYp6KQvvrjb+nLBmDTzoZt2B0If+URWzZa0Q6zMgchOb
4Oy2wA10bvXO+Vl8IWW0kLqfuMaT1h+yCuzpmPcVgxNe4J/tFK+EDRZhBA3kRqyW
AtWhq1jyc88XED3I9L1vKltHqUJKDQa/HIaiq3jHRiHKfYQt9vnsnJ93e+Ycd2is
2vV/CkvVV466bHK8YoeQ2KbHZ17TbIF4oGyIIDSXdFmJhURZZ4vRZbpHs3P3tFEh
kh1elqmhQpVuy4S95lMNgLhpNZm6WHFJ1obQVPNCx4hJtJsq4qSbGISICjWFRkm0
npuBwUR79Y1PLAKmAYGMilhWsqTGOsXmhCheYdgtCpa+MaX+5vf3DMMjGbjevSc4
KDANU7HEJ4Aq71DRgqAZAW+awWeHj3hQ6hGO5QH49A==
=uuzg
-----END PGP SIGNATURE-----





Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Fri, 11 Nov 2011 15:54:04 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Fri, 11 Nov 2011 15:54:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:35:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:38:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.